;(function($){
$.fn.myDatePicker = function(options){
        var settings = {};

        $.extend(settings, {
          dateFormat: 'dd/mm/yy',
          closeText: 'Fechar',
          prevText: '&#x3c;Anterior',
          nextText: 'Pr&oacute;ximo&#x3e;',
          currentText: 'Hoje',
          monthNames: ['Janeiro','Fevereiro','Mar&ccedil;o','Abril','Maio','Junho','Julho','Agosto','Setembro','Outubro','Novembro','Dezembro'],
          monthNamesShort: ['Jan','Fev','Mar','Abr','Mai','Jun','Jul','Ago','Set','Out','Nov','Dez'],
          dayNames: ['Domingo','Segunda-feira','Ter&ccedil;a-feira','Quarta-feira','Quinta-feira','Sexta-feira','Sabado'],
          dayNamesShort: ['Dom','Seg','Ter','Qua','Qui','Sex','Sab'],
          dayNamesMin: ['Dom','Seg','Ter','Qua','Qui','Sex','Sab'],
          weekHeader: 'Sm',
          firstDay: 0,
          isRTL: false,
          showMonthAfterYear: false,
          yearSuffix: '',
        }, options);

        $(this).datepicker(settings);
        $(this).mask("99/99/9999");
        return $(this);
};
})(jQuery);

$(document).ready(function() {
    loadDatepicker();
});

function loadDatepicker(){
  $(".hasDatePicker").myDatePicker();
}
